Index: moc_formloadmatrix.cpp
===================================================================
--- moc_formloadmatrix.cpp	(revision f473a7f0c79ef84df9ed8983f69776ba5c2cf715)
+++ moc_formloadmatrix.cpp	(revision e62517aafda86bbe894ad265ffc9ae037a65bb6c)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'formloadmatrix.H'
 **
-** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
+** Created by: The Qt Meta Object Compiler version 67 (Qt 5.3.2)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,8 +8,10 @@
 
 #include "formloadmatrix.H"
+#include <QtCore/qbytearray.h>
+#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'formloadmatrix.H' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 63
-#error "This file was generated using the moc from 4.8.6. It"
+#elif Q_MOC_OUTPUT_REVISION != 67
+#error "This file was generated using the moc from 5.3.2. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -17,8 +19,31 @@
 
 QT_BEGIN_MOC_NAMESPACE
+struct qt_meta_stringdata_FormLoadMatrix_t {
+    QByteArrayData data[6];
+    char stringdata[83];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_FormLoadMatrix_t, stringdata) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_FormLoadMatrix_t qt_meta_stringdata_FormLoadMatrix = {
+    {
+QT_MOC_LITERAL(0, 0, 14),
+QT_MOC_LITERAL(1, 15, 12),
+QT_MOC_LITERAL(2, 28, 0),
+QT_MOC_LITERAL(3, 29, 10),
+QT_MOC_LITERAL(4, 40, 18),
+QT_MOC_LITERAL(5, 59, 23)
+    },
+    "FormLoadMatrix\0formAccepted\0\0formClosed\0"
+    "slotLoadMatrixFile\0slotButtonAcceptClicked"
+};
+#undef QT_MOC_LITERAL
+
 static const uint qt_meta_data_FormLoadMatrix[] = {
 
  // content:
-       6,       // revision
+       7,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -30,19 +55,21 @@
        2,       // signalCount
 
- // signals: signature, parameters, type, tag, flags
-      19,   16,   15,   15, 0x05,
-      49,   15,   15,   15, 0x05,
+ // signals: name, argc, parameters, tag, flags
+       1,    3,   34,    2, 0x06 /* Public */,
+       3,    0,   41,    2, 0x06 /* Public */,
 
- // slots: signature, parameters, type, tag, flags
-      62,   15,   15,   15, 0x0a,
-      83,   15,   15,   15, 0x0a,
+ // slots: name, argc, parameters, tag, flags
+       4,    0,   42,    2, 0x0a /* Public */,
+       5,    0,   43,    2, 0x0a /* Public */,
+
+ // signals: parameters
+    QMetaType::Void, QMetaType::QString, QMetaType::Int, QMetaType::Int,    2,    2,    2,
+    QMetaType::Void,
+
+ // slots: parameters
+    QMetaType::Void,
+    QMetaType::Void,
 
        0        // eod
-};
-
-static const char qt_meta_stringdata_FormLoadMatrix[] = {
-    "FormLoadMatrix\0\0,,\0formAccepted(QString,int,int)\0"
-    "formClosed()\0slotLoadMatrixFile()\0"
-    "slotButtonAcceptClicked()\0"
 };
 
@@ -50,5 +77,4 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
-        Q_ASSERT(staticMetaObject.cast(_o));
         FormLoadMatrix *_t = static_cast<FormLoadMatrix *>(_o);
         switch (_id) {
@@ -59,23 +85,31 @@
         default: ;
         }
+    } else if (_c == QMetaObject::IndexOfMethod) {
+        int *result = reinterpret_cast<int *>(_a[0]);
+        void **func = reinterpret_cast<void **>(_a[1]);
+        {
+            typedef void (FormLoadMatrix::*_t)(const QString & , int , int );
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&FormLoadMatrix::formAccepted)) {
+                *result = 0;
+            }
+        }
+        {
+            typedef void (FormLoadMatrix::*_t)();
+            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&FormLoadMatrix::formClosed)) {
+                *result = 1;
+            }
+        }
     }
 }
 
-const QMetaObjectExtraData FormLoadMatrix::staticMetaObjectExtraData = {
-    0,  qt_static_metacall 
+const QMetaObject FormLoadMatrix::staticMetaObject = {
+    { &QWidget::staticMetaObject, qt_meta_stringdata_FormLoadMatrix.data,
+      qt_meta_data_FormLoadMatrix,  qt_static_metacall, 0, 0}
 };
 
-const QMetaObject FormLoadMatrix::staticMetaObject = {
-    { &QWidget::staticMetaObject, qt_meta_stringdata_FormLoadMatrix,
-      qt_meta_data_FormLoadMatrix, &staticMetaObjectExtraData }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &FormLoadMatrix::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *FormLoadMatrix::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
 }
 
@@ -83,5 +117,5 @@
 {
     if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_FormLoadMatrix))
+    if (!strcmp(_clname, qt_meta_stringdata_FormLoadMatrix.stringdata))
         return static_cast<void*>(const_cast< FormLoadMatrix*>(this));
     return QWidget::qt_metacast(_clname);
@@ -96,4 +130,8 @@
         if (_id < 4)
             qt_static_metacall(this, _c, _id, _a);
+        _id -= 4;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 4)
+            *reinterpret_cast<int*>(_a[0]) = -1;
         _id -= 4;
     }
